Delete Annotations
Delete multiple annotations. You must have Annotate permission on the specified document versions to delete annotations. Learn more about permissions required to delete annotations
DELETE
/api/{version}/objects/documents/annotations/batchHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | text/csv or application/json |
Accept | application/json (default), text/csv, or application/xml |
Body Parameters
Section link for Body ParametersUpload parameters as a JSON or CSV file. You can delete up to 500 annotations per batch.
Request
Section link for Requestcurl -X DELETE -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
--data-binary @"C:\Vault\Documents\delete_annotations.csv" \
https://myvault.veevavault.com/api/v25.1/objects/documents/annotations/batchResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"document_version_id__sys": "1_0_1",
"id__sys": "58",
"global_version_id__sys": "119899_1_1"
}
]
}